QGIS Application - Bug report #19130
'Move and Copy' feature of vector editor duplicates 'fid'
2018-06-07 02:52 AM - Matthew Bodnar

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.0.3 Regression?: No
Operating System: WIN 10 1709 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26960
Description

'Move and Copy' feature of vector editor duplicates 'fid' prohibiting changes to be saved until all instances are manually modified to a
unique FID value.

This occured on a poly-line feature of a geopackage file type.

re-assigning the fid column to '@row_number' did not work... it invalidated all fields in the table.

Related issues:
Related to QGIS Application - Bug report # 19776: Copy and Move Feature Error... Closed 2018-09-05

History

#1 - 2018-06-11 07:30 AM - Alessandro Pasotti
- Status changed from Open to Feedback

I'm afraid we need some more details, can you please attach a sample project and data plus step-by-step procedure to reproduce this issue?

#2 - 2018-06-12 02:57 PM - Jérome Guélat

| was able to reproduce this bug. Here's a step by step procedure:

1. Create a new GeoPackage with a polygon table

2. Digitize a new polygon, toggle the editing off (and save the edits)

3. Toggle editing on and use the tool "Copy and Move Feature" (click on the previous polygon, move it around and click a second time to create the new
one)

4. Try to save the changes

The split tool have the same behaviour in QGIS 2.18 but this is fixed in QGIS 3.0. Maybe a similar fix can be applied to the "Copy and Move Feature" tool.

#3 - 2018-08-16 12:00 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2018-09-06 09:14 AM - Jiirgen Fischer
- Related to Bug report #19776: Copy and Move Feature Error on Geopackage added

#5 - 2018-11-07 03:50 PM - David Signer
- Status changed from Open to Closed
This is solved by https://github.com/qgis/QGIS/pull/8436
https://github.com/qgis/QGIS/pull/8436

